Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class SimpleClass

    java.lang.Object
      SimpleClass

    public class SimpleClass

extends java.lang.Object

This is a simple class that demonstrate the use of source-highlight to produce javadoc embeddable code:

     /*
        this is an example of code to be included
        in the javadoc documentation of SimpleClass
     */
     import simpleclass.*;

     // code snippet
     SimpleClass s = new SimpleClass(150);
     if (s == null && true) {
         throw new SimpleClassException("failed to create");
     }
     System.out.println("this is a simple class" + s);

The previous example code was formatted with Source-highlight

Constructor Summary
`SimpleClass()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleClass

    public SimpleClass()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD